> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-user-portal-guide/v20/running-remote-applications-and-desktops.md).

# Running remote applications and desktops

To launch a remote application or desktop, do one of the following:

* Double-click (or tap on a mobile device) an application or a desktop icon. The resource will open inside a web browser or in Parallels Client, depending on the server-side configuration.
* Right-click (or tap and hold on a mobile device) an application or a desktop to display a context menu. The menu will appear if it is enabled on the server side. The menu allows you to choose whether to open the resource in Parallels Client or Parallels User Portal and it also allows you to choose whether to open an application in the same or new tab in the web browser.
* If a resource cannot be opened in Parallels Client due to an error, a message will be displayed with an option to open it in the web browser instead.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-user-portal-guide/v20/running-remote-applications-and-desktops.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
